{
   "format_version":"1.12",
   "minecraft:recipe_shapeless":{
      "description":{
         "identifier":"true:rose_extract"
      },
      "tags":[
         "crafting_table"
      ],
      "ingredients":[
         {
            "item":"minecraft:double_plant",
            "data":4
         },
         {
            "item":"minecraft:double_plant",
            "data":4
         }
      ],
      "result":{
         "item":"true:rose_extract",
         "count":3
      }
   }
}